### Name: ladder
### Title: Draw a "ladder of powers" plot, plotting each of several powers
###   of y against the same powers of x.
### Aliases: ladder ladder3 ladder.f ladder.fstar strip.ladder
### Keywords: hplot dplot manip

### ** Examples

## some country names have embedded blanks
tv <- if.R(r=
           read.fwf(hh("datasets/tv.dat"),
                    widths=c(22,6,7,7,4,2),
                    strip.white=TRUE,
                    na.strings="*",
                    row.names=1)
           ,s=
           read.table(hh("datasets/tv.dat"),
                      sep=c(1,23,29,36,43,47),
                      na.strings="*")
           )
names(tv) <- c("life.exp","ppl.per.tv","ppl.per.phys",
               "fem.life.exp","male.life.exp")

## Default: single strip label per panel
ladder(life.exp ~ ppl.per.phys, data=tv,
       main="Ladder of Powers for Life Expectancy and People per Physician",
       dsx="ppp", dsy="le")

## double strip label
if.R(r=
ladder(life.exp ~ ppl.per.phys, data=tv,
       main="Ladder of Powers for Life Expectancy and People per Physician",
       strip.number=2,
       dsx="ppp", dsy="le")
,s=
ladder(life.exp ~ ppl.per.phys, data=tv,
       main="Ladder of Powers for Life Expectancy and People per Physician",
       strip.number=2,
       dsx="ppp", dsy="le",
       axis3.line=1.2)
)

## turn off strip labels
if.R(r=
ladder(life.exp ~ ppl.per.phys, data=tv,
       strip.number=0,,
       main="Ladder of Powers for Life Expectancy and People per Physician")
,s=
ladder(life.exp ~ ppl.per.phys, data=tv,
       strip.number=0,,
       main="Ladder of Powers for Life Expectancy and People per Physician",
       axis3.line=0)
)



